List Runs
http
GET /api/v1/sessions/{sid}/runsList Runs
operationId: list_runs
Authentication
HTTPBearer / BrowserSession
See browser access. Session mutations require a Bearer key.
Parameters
| Name | In | Required | Type | Description and constraints |
|---|---|---|---|---|
input_fingerprint | query | No | string | Exact match; 1–256 UTF-8 bytes, no NUL or whitespace-only value. minLength: 1maxLength: 256 |
status | query | No | RunStatus | |
order | query | No | string | enum: ["asc","desc"]default: "asc" |
sid | path | Yes | string | format: "uuid" |
limit | query | No | integer | default: 50minimum: 1maximum: 200 |
cursor | query | No | string / null |
Responses
| Code | Description | Content |
|---|---|---|
| 200 | Successful Response | application/json: RunPage |
| 400 | Bad Request | application/json: ErrorResponse |
| 401 | Unauthorized | application/json: ErrorResponse |
| 404 | Not Found | application/json: ErrorResponse |
| 409 | Conflict | application/json: ErrorResponse |
| 413 | Content Too Large | application/json: ErrorResponse |
| 415 | Unsupported Media Type | application/json: ErrorResponse |
| 422 | Unprocessable Content | application/json: ErrorResponse |
| 503 | Service Unavailable | application/json: ErrorResponse |